Subject: [bug#47395] [PATCH] Bump SQLite to 3.35.2

From: Léo Le Bouter <[email-masked]>
Date: Thu, 25 Mar 2021 20:38:41 +0100

On Thu, 2021-03-25 at 18:39 +0000, Isaac Young via Guix-patches via
wrote:
> Hello,

Hello!

> Fossil 2.14 needs SQLite 3.33.0 or later, so I'd like to update the
> SQLite package to the latest version.

Thank you for the patch! Unfortunately we can't just do that because it
would cause lots of rebuilds, sqlite is already 3.34.x on the core-
updates branch and I was about to update it to 3.35.2 like you did.

We will merge core-updates at some point after the 1.2.1 release, it's
long overdue. However you can always create a package variant like
sqlite-3.35 for fossil only until we update the primary sqlite package.

> Cheers,
> Isaac Young

Léo